
#ifndef ARMAFUNC_H
#define ARMAFUNC_H

#include <fstream>
#include <iostream>
#include <sstream>
#include <vector>

#include "public_errors.h"
#include "public_definitions.h"
#include "public_rare_definitions.h"
#include "ts3_functions.h"
#include "plugin_events.h"

void move3D(std::string& clip, int statutConnec, std::vector<anyID>* liste_rc, std::vector<anyID>* liste_rl);
void getPlayerID(std::string& clip);
void getPlayerIDFromName(std::string& clip);
void Mute3D(std::string& clip);
void GetVersion(const char* version);
void SwitchPlayer(std::string& clip);
void ConnectToServer(std::string& clip);
void GetCurrentChannelID(std::string& clip);
void GetChannelIDFromName(std::string& clip);

void copyToClipboard(std::string& txt);

#endif
